#ifndef VIDEOFILE_H
#define VIDEOFILE_H

#include <qobject.h>
#include <QFileInfo>

class VideoFile : public QObject
{
    Q_OBJECT;

public:
    VideoFile( QFileInfo file, QObject* parent );
    VideoFile( QFileInfo file, unsigned int resumePosTenthOfASec, QObject* parent );

    QFileInfo file() const;
    void setResumePos( unsigned int tenthOfASec );
    unsigned int resumePos() const;

    static bool nameAscCmp( const VideoFile* a, const VideoFile* b );
    static bool nameDesCmp( const VideoFile* a, const VideoFile* b );

    static bool sizeAscCmp( const VideoFile* a, const VideoFile* b );
    static bool sizeDesCmp( const VideoFile* a, const VideoFile* b );

    static bool resumeAscCmp( const VideoFile* a, const VideoFile* b );
    static bool resumeDesCmp( const VideoFile* a, const VideoFile* b );

private:
    QFileInfo m_file;
    unsigned int m_currentPosTenthOfASec;
};

#endif // VIDEOFILE_H
